Configuring and Using Zeppelin Interpreters

An Apache Zeppelin interpreter is a plugin that enables you to access processing engines and data sources from the Zeppelin UI.

For example, if you want to use Python code in your Zeppelin notebook, you need a Python interpreter. Each interpreter runs in its own JVM on the same node as the Zeppelin server. The Zeppelin server communicates with interpreters through the use of Thrift.

Apache Zeppelin on HDP supports the following interpreters:

  • Spark

  • JDBC (supports Hive, Phoenix)

  • OS Shell

  • Markdown

  • Livy (supports Spark, Spark SQL, PySpark, PySpark3, and SparkR)

  • AngularJS

Note: PySpark and associated libraries require Python version 2.7 or later, or Python version 3.4 or later, installed on all nodes.